<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <div id="log"></div>
    <script>
        const p1 = Promise.resolve(21);
        function show(){
            let promise = new Promise(resolve =>{resolve()})
            promise.then(()=>{
                console.log('Hello')
            })
        };
        const p3 = new Promise((resolve, reject)=>{
            setTimeout(()=>{
                    resolve('AppDividend');
            }, 500);
        });

    Promise.all([p1,show(),p3]).then(values =>{ console.log(values)})
    </script>
</body>
</html>